KDIGEST(8)

NAME
kdigest - userland tool to access digest interface in the KDC

SYNOPSIS
kdigest [--ccache=string] [--version] [--help] command [arguments]

DESCRIPTION
Supported options:

    --ccache=string credential cache

    --version print version

    --help

Available commands are:

digest-probe
    [--realm=string] [-h | --help]

        --realm=string Kerberos realm to communicate with

digest-server-init
    [--type=string] [--kerberos-realm=realm] [--digest=digest-type] [--cb-type=type] [--cb-value=value] [--hostname=hostname] [--realm=string]

        --type=string digest type

        --kerberos-realm=realm

        --digest=digest-type digest type to use in the algorithm

        --cb-type=type type of channel bindings

        --cb-value=value value of channel bindings

        --hostname=hostname hostname of the server

        --realm=string Kerberos realm to communicate with

digest-server-request
    [--type=string] [--kerberos-realm=realm] [--username=name] [--server-nonce=nonce] [--server-identifier=nonce] [--client-nonce=nonce] [--client-response=response] [--opaque=string] [--authentication-name=name] [--realm=realm] [--method=method] [--uri=uri] [--nounce-count=count] [--qop=qop] [--ccache=ccache]

        --type=string digest type

        --kerberos-realm=realm

        --username=name digest type

        --server-nonce=nonce

        --server-identifier=nonce

        --client-nonce=nonce

        --client-response=response

        --opaque=string

        --authentication-name=name

        --realm=realm

        --method=method

        --uri=uri

        --nounce-count=count

        --qop=qop

        --ccache=ccache Where the the credential cache is created when the KDC returns tickets

digest-client-request
    [--type=string] [--username=name] [--password=password] [--server-nonce=nonce] [--server-identifier=nonce] [--client-nonce=nonce] [--opaque=string] [--realm=realm] [--method=method] [--uri=uri] [--nounce-count=count] [--qop=qop]

        --type=string digest type

        --username=name digest type

        --password=password

        --server-nonce=nonce

        --server-identifier=nonce

        --client-nonce=nonce

        --opaque=string

        --realm=realm

        --method=method

        --uri=uri

        --nounce-count=count

        --qop=qop

ntlm-server-init
    [--version=integer] [--kerberos-realm=string]

        --version=integer ntlm version

        --kerberos-realm=string Kerberos realm to communicate with